i'm trying to write a macro to get the coordinates of a point on excel. i've checked the API help and the only function i think that can be useful is GetPointCoordinates, but i don't know how to implement it.
any idea about how to write the macro... or any alternative function?
thank you!
ello, i've written a macro for SW2007 but it doesn't works. i think the reason is that i need to set csystransform. the macro i have written is the following:
Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim mass as SldWorks.MassProperty
Dim swCoordSys as SldWorks.Feature
Dim...
Hello, i've written a macro for SW2007 but it doesn't works. i think the reason is that i need to set csystransform. the macro i have written is the following:
Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim mass as SldWorks.MassProperty
Dim swCoordSys as SldWorks.Feature
Dim...
hello, i need to do an interface between MSExcel and SolidWorks using MSVisualBasic to calculate the mass properties from different coordinates systems. i need exactly to do what the function SetCoordinateSystem does: set the coordinate system to use when calculating mass properties for a model...
i think you didn't understand what i meant... probably the explanation of my problem was not as good as it should be.
i do:
insert > reference geometry > coordinate system
then i want to get the mass properties according to this coordinate systems.
in the API help i have found...
hey!
i have written a macro to get the mass properties of the different parts of a solidworks assembly on an excel sheet. the problem i have is that i get all this properties according to the default coordinate system.
i have checked the API help but i am a beginner in this field and i can't...
humm i was doing the same, writing myself the part @[...].part
i can say that an equation between parts cannot be added inside one part... anyway, thank you for your help
to insert an equation i double-click on a dimension of a sketch and then i insert it. following this method i am only allowed to relate it with dimensions of the same part... are there any other way to do it?
hmm yes it is an option but i forgot to mention one important thing: they are dimensions from different parts in an assembly... i think the equations can only be used between dimensions from the same part (correct me if i am wrong).
i could create an interface on excel, with the equation there...
hello,
i don't know exactly how to explain the problem i have... but i'll try to do it.
are there any way to mantain the relation between two entities? i mean, i can add the relation "equal" between two lines. however, if one line is (for instance) 4cm long and the other one is 6cm long... i...
my question seems stupid. but my problem lies in the way that SW gives names automatically to the sketches, features...
if i draw a sketch it receives the name "sketch 1" (for example). if i erase it and i draw another sketch it receives the name "sketch 2".
of course i know i can change the...
I need to modify the topology of a model that has to be parametric. This means that the number and the type of the geometry elements (topology) should be modifiable with parameters.
These parameters have to be modifiable from a MSExcel interface.
Any idea about how to do it?
Hello,
I am trying to modify a solidworks assembly through Visual Basic.
The process I follow consists on recording a macro in SW and then write it in Visual Basic, because I want to execute it pressing a command button in microsoft excel, but it appears some kind of error.
I am a beginner...